import React from "react";
import { Button, Card, Form, Input } from "antd";
import useBool from "@/utils/hooks/useBool";
// import { getSysRole } from "@/services/sysrole";
// import { postSysUser, getSysUserById, resetPwd } from "@/services/sysuser";
import { useSearchParams, useNavigate } from "react-router-dom";
import Page from "@/components/Page";
import { formItemLayout, tailFormItemLayout } from "@/utils/form";
import Account from "./Account";
import md5 from "md5";

export default (props) => {

  const [loading, startLoading, cancelLoading] = useBool();
  const [submiting, startSubmit, cancelSubmit] = useBool();
  const [open, setShow, setHidden] = useBool(false);
  const [roleList, setRoleList] = React.useState([]);
  const [searchParams] = useSearchParams();
  const [form] = Form.useForm();
  const [user, setUser] = React.useState();
  const navigate = useNavigate();

  const id = searchParams.get("id");

  const resetPassWord = () => {
    // if (id) {
    //   resetPwd(id, md5("123456")).then((res) => {});
    // }
  };

  const onFinish = (values) => {
    startSubmit();
    // postSysUser({ ...values, userId: id })
    //   .then((res) => {
    //     cancelSubmit();
    //     if (id) {
    //       navigate(-1);
    //     } else {
    //       navigate(`/user/edit?id=${res.userId}`, { replace: true });
    //     }
    //   })
    //   .catch(() => {
    //     cancelSubmit();
    //   });
  };

  // React.useEffect(() => {
  //   getSysRole({ pageSize: 500 }).then((res) => setRoleList(res.records || []));
  // }, []);

  React.useEffect(() => {
    if (id) {
      startLoading();
      // getSysUserById(id)
      //   .then((res) => {
      //     setUser(res);
      //     form.setFieldsValue({
      //       ...res,
      //     });
      //     cancelLoading();
      //   })
      //   .catch(() => {
      //     cancelLoading();
      //   });
    } else {

    }
  }, [id]);

  return (
    <Page>
      <Card loading={loading}>
        <Form
          onFinish={onFinish}
          form={form}
          {...formItemLayout}
          scrollToFirstError
          style={{ maxWidth: "1000px" }}
        >
          <Form.Item
            name="name"
            label="姓名"
            rules={[
              {
                required: true,
                message: "请填写姓名",
              },
            ]}
          >
            <Input placeholder="请输入姓名" />
          </Form.Item>
          <Form.Item name="phone" label="手机号">
            <Input placeholder="请输入手机号" />
          </Form.Item>
          <Form.Item name="orgId" label="机构Id">
            <Input placeholder="请输入" />
          </Form.Item>
          <Form.Item name="orgName" label="机构名称">
            <Input placeholder="请输入" />
          </Form.Item>

          <Form.Item {...tailFormItemLayout}>
            <Button loading={submiting} type="primary" htmlType="submit">
              保存
            </Button>
            <Button style={{ marginLeft: "2em" }} onClick={() => navigate(-1)}>
              返回
            </Button>
            {id && (
              <Button
                disabled={!id}
                style={{ marginLeft: "2em" }}
                onClick={setShow}
              >
                登录账户
              </Button>
            )}
            {user?.account && (
              <Button
                key={2}
                style={{ marginLeft: "2em" }}
                onClick={() => {
                  resetPassWord();
                }}
              >
                重置密码
              </Button>
            )}
          </Form.Item>
        </Form>
      </Card>
      <Account
        open={open}
        user={user}
        roleList={roleList}
        onSuccess={setHidden}
        onCancel={setHidden}
      />
    </Page>
  );
};
