import React from "react";
import { useNavigate } from "react-router-dom";
import { Button, Popconfirm, message } from "antd";
import { ProTable } from "@ant-design/pro-components";
import { queryTable, queryDict } from "@/utils/request";
// import {
//   getSysUser,
//   updateUserStatus,
//   deleteSysUser,
// } from "@/services/sysuser";
// import { getSysOrg } from "@/services/sysorg";
// import { getSysPosition } from "@/services/sysposition";
import Page from "@/components/Page";
// import { getSysDept } from "@/services/sysdept";
import md5 from "md5";

// const queryUserList = queryTable(getSysUser);
// const queryOrg = queryDict(getSysOrg, { labelKey: "name", valueKey: "orgId" });
// const queryDept = queryDict((params) => getSysDept({ ...params, dict: true }), {
//   labelKey: "name",
//   valueKey: "deptId",
// });
const queryPosition = queryDict(
  // (params) => getSysPosition({ ...params, dict: true }),
  {
    labelKey: "name",
    valueKey: "positionId",
  }
);

export default (props) => {
  const actionRef = React.useRef();
  const navigate = useNavigate();

  const updateStatus = (user) => {
    const status = user.status === 1 ? 0 : 1;
    const hide = message.loading("请稍候...", 0);
    // updateUserStatus(user.userId, status)
    //   .then((res) => {
    //     hide();
    //     actionRef.current.reload();
    //   })
    //   .catch(() => {
    //     hide();
    //   });
  };

  const handleDelete = (id) => {
    if (id) {
      // deleteSysUser(id).then((res) => {
      //   actionRef.current.reload();
      // });
    }
  };

  const columns = [
    {
      title: "EHR",
      dataIndex: "hxId",
    },
    {
      title: "姓名",
      dataIndex: "name",
    },
    {
      title: "手机号",
      search: false,
      dataIndex: "phone",
    },
    {
      title: "机构",
      dataIndex: "orgName",
    },
    {
      title: "状态",
      dataIndex: "status",
      search: false,
      valueEnum: {
        1: {
          text: "正常",
          status: "Processing",
        },
        0: {
          text: "禁用",
          status: "Error",
        },
      },
    },
    {
      title: "操作",
      valueType: "option",
      width: 200,
      render: (_, record) => [
        <Button
          key={1}
          style={{ padding: 0 }}
          type="link"
          onClick={() => {
            updateStatus(record);
          }}
        >
          {record.status === 1 ? "禁用" : "启用"}
        </Button>,
        <Button
          key={3}
          style={{ padding: 0 }}
          type="link"
          onClick={() => {
            navigate(`/user/edit?id=${record.userId}`);
          }}
        >
          编辑
        </Button>,
        <Popconfirm
          key={4}
          title="您是否确认删除 ?"
          onConfirm={() => handleDelete(record.userId)}
          okText="确定"
          cancelText="取消"
        >

          <Button style={{ padding: 0 }} type="link">
            删除
          </Button>
        </Popconfirm>,
      ],
    },
  ];

  return (
    <Page>
      <ProTable
        actionRef={actionRef}
        rowKey="userId"
        toolBarRender={() => [
          <Button
            key="1"
            type="primary"
            onClick={() => {
              navigate("/user/edit");
            }}
          >
            新增
          </Button>,
        ]}
        // request={queryUserList}
        columns={columns}
      />
    </Page>
  );
};
